Package org.eclipse.lemminx.extensions.xsd.xmlmodel

## Class XMLModelSchemaValidatorFactory

- java.lang.Object
- - org.eclipse.lemminx.extensions.xsd.xmlmodel.XMLModelSchemaValidatorFactory

All Implemented Interfaces:
  `XMLModelValidatorFactory`

    public class XMLModelSchemaValidatorFactory
    extends Object
    implements XMLModelValidatorFactory

`XMLModelValidatorFactory` for XSD. ``

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XMLModelSchemaValidatorFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`XMLModelValidator` `createValidator​(XMLModelDeclaration modelDeclaration)` Create an `XMLModelValidator` instance if the XML model declaration is applicable for the factory and null otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLModelSchemaValidatorFactory

    public XMLModelSchemaValidatorFactory()

### Method Detail

#### createValidator

    public XMLModelValidator createValidator​(XMLModelDeclaration modelDeclaration)

Description copied from interface: `XMLModelValidatorFactory`
Create an `XMLModelValidator` instance if the XML model declaration is applicable for the factory and null otherwise.

Specified by:
  `createValidator` in interface `XMLModelValidatorFactory`
Parameters:
  `modelDeclaration` - the XML model declaration which host href, type, shematypens.
Returns:
  an `XMLModelValidator` instance if the XML model declaration is applicable for the factory and null otherwise.